package nl.arttech.bouncing;
import java.util.Vector;

public class StringLine {
	double pos;
	Vector<Hit> hits;
	
	public StringLine(double pos) {
		this.pos = pos;
		hits = new Vector<Hit>(0, 1);
	}
	
	public void addHit(double time, double force, double location) {
		hits.add(new Hit(time, force, location));
	}
	
	public double getTotalForcePercentage(double thisTime) {
		double forcePercentage = 0;
		for (Hit hit : hits) {
			double thisForcePercentage = (500. / (thisTime - hit.time + 1000));
			forcePercentage += thisForcePercentage;
		}
		return forcePercentage;
	}
	
	public void checkHits(double thisTime) {
		Vector<Hit> hitsToRemove = new Vector<Hit>(0, 1);
		for (Hit hit : hits) {
			if (thisTime - hit.time > 3000) hitsToRemove.add(hit);
		}
		
		for (Hit hit: hitsToRemove) {
			hits.remove(hit);
		}		
	}
	
	public class Hit {
		double time;
		double startForce;
		double location;
		
		public Hit(double time, double force, double location) {
			this.time = time;
			this.startForce = force;
			this.location = location;
		}
	}
}
